Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002368Piwigonavigationpublic2011.06.27 16:232012.03.02 16:28
Reporterplg 
Assigned Toplg 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.4.0RC1Fixed in Version2.4.0RC1 
Summary0002368: canonical URL
DescriptionSee http://piwigo.org/forum/viewtopic.php?id=17737 [^]

Maybe picture.php?/40 would be fine for a canonical URL
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0005293)
flop25 (developer)
2011.06.29 21:12

picture.php?coffereal works for galleries/autre/coffereal.jpg
but not for uploaded pictures
(0005294)
plg (manager)
2011.06.29 21:24

Are you sure flop25? (please make a test)
(0005295)
flop25 (developer)
2011.06.29 21:27

yep see : http://piwigo.org/forum/viewtopic.php?pid=123157#p123157 [^]
(0005296)
flop25 (developer)
2011.06.29 21:27

but what happened also for picture with the same name ... don't know !
(0005297)
plg (manager)
2011.06.29 21:46

$conf['picture_url_style'] = 'file'; works fine with photos added by web form or synchronization. What you try to do on the forum topic has no sense for an uploaded photo, using the thumbnail_src to find the filename is not possible.
(0005298)
flop25 (developer)
2011.06.29 21:50

hola ! let's try to separate the two things
here i put that link as an exemple : if I do something wrong, post on the forum please
For that bug/feature, I'm just saying : "I think something already exists". So is-it true or not ?
(0005302)
plg (manager)
2011.06.30 09:18

Nothing currently exists, there is no <link rel='canonical' in HTML head.
(0005975)
navjotjsingh (reporter)
2012.01.31 10:14

Not only picture pages but even category pages need a canonical url tag because even they have multiple urls. Canonical Url should be included for every page of a piwigo installation.
(0005996)
svn (reporter)
2012.02.07 22:00

[Subversion] r13048 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2368 : added link rel canonical on picture page
(0006000)
svn (reporter)
2012.02.08 22:27

[Subversion] r13062 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2368: also add canonical URL on index page.
(0006087)
svn (reporter)
2012.03.02 16:28

[Subversion] r13458 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2368: better canonical URL for homepage

- Issue History
Date Modified Username Field Change
2011.06.27 16:23 plg New Issue
2011.06.27 16:23 plg browser => any
2011.06.27 16:23 plg Web server => Apache 1.3.x
2011.06.29 21:12 flop25 Note Added: 0005293
2011.06.29 21:24 plg Note Added: 0005294
2011.06.29 21:27 flop25 Note Added: 0005295
2011.06.29 21:27 flop25 Note Added: 0005296
2011.06.29 21:46 plg Note Added: 0005297
2011.06.29 21:50 flop25 Note Added: 0005298
2011.06.30 09:18 plg Note Added: 0005302
2012.01.20 16:14 plg Assigned To => plg
2012.01.20 16:14 plg Status new => assigned
2012.01.20 16:14 plg Target Version 2.3.0beta2 => 2.4.0beta2
2012.01.31 10:14 navjotjsingh Note Added: 0005975
2012.02.02 00:18 plg Target Version 2.4.0beta2 => 2.4.0RC1
2012.02.07 22:00 svn Checkin
2012.02.07 22:00 svn Note Added: 0005996
2012.02.08 22:27 svn Checkin
2012.02.08 22:27 svn Note Added: 0006000
2012.03.02 16:28 svn Checkin
2012.03.02 16:28 svn Note Added: 0006087
2012.03.02 16:28 plg Status assigned => closed
2012.03.02 16:28 plg Resolution open => fixed
2012.03.02 16:28 plg Fixed in Version => 2.4.0RC1


Copyright © 2000 - 2018 MantisBT Team
Contact
Powered by Mantis Bugtracker